# json-c: math_compat.h File Reference

math_compat.h File Reference

Do not use, json-c internal, may be changed or removed at any time. More...

## Macros

#define | INFINITY (DBL_MAX + DBL_MAX)
#define | HAVE_DECL_INFINITY
#define | NAN (INFINITY - INFINITY)
#define | HAVE_DECL_NAN

## Detailed Description

Do not use, json-c internal, may be changed or removed at any time.

## Macro Definition Documentation

## HAVE_DECL_INFINITY

#define HAVE_DECL_INFINITY

## HAVE_DECL_NAN

#define HAVE_DECL_NAN

## INFINITY

#define INFINITY (DBL_MAX + DBL_MAX)

## NAN

#define NAN (INFINITY - INFINITY)